Generate A/B variants
curl --request POST \
--url https://api.kynva.ai/api/v1/ai/generate-variants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateId": "<string>",
"dimensions": [],
"count": 5,
"context": {
"brand": "<string>",
"product": "<string>",
"audience": "<string>",
"goal": "<string>"
},
"colorPalettes": [
[
"<string>"
]
],
"seed": 123
}
'import requests
url = "https://api.kynva.ai/api/v1/ai/generate-variants"
payload = {
"templateId": "<string>",
"dimensions": [],
"count": 5,
"context": {
"brand": "<string>",
"product": "<string>",
"audience": "<string>",
"goal": "<string>"
},
"colorPalettes": [["<string>"]],
"seed": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateId: '<string>',
dimensions: [],
count: 5,
context: {brand: '<string>', product: '<string>', audience: '<string>', goal: '<string>'},
colorPalettes: [['<string>']],
seed: 123
})
};
fetch('https://api.kynva.ai/api/v1/ai/generate-variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {}
}AI
Generate A/B variants
Generate A/B test variants from an existing template
POST
/
api
/
v1
/
ai
/
generate-variants
Generate A/B variants
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
Template to generate variants from
Which aspects to vary
Available options:
headline, cta, colorScheme, typography, tone, emphasis, layout, imagery Required range:
1 <= x <= 10Show child attributes
Show child attributes
Custom color palettes for color variants
Seed for reproducible variants
⌘I